{ config, lib, pkgs, ... }:

{
  services = {
    transmission = {
      enable = true;
      home = "/var/lib/transmission";
      port = 9091;
      settings = {
        rpc-bind-address = "127.0.0.1";
        rpc-host-whitelist = "*";
        rpc-whitelist-enabled = false;
        peer-port = 51413;
        incomplete-dir = "/mnt/medias/incomplete";
      };
    };

    radarr.enable = true;
    sonarr.enable = true;
    jackett.enable = true;

    jellyfin = {
      enable = true;
      package = pkgs.jellyfin;
    };

    slimserver = {
      enable = true;
      dataDir = "/var/lib/slimserver";
    };

    airsonic = {
      enable = true;
      maxMemory = 500;
    };
  };

  systemd.services.transmission.serviceConfig.BindPaths = [ "/mnt/medias" ];

  networking = {
    firewall.allowedTCPPorts = [
      config.services.transmission.settings.peer-port
    ];

    firewall.allowedUDPPorts = [
      config.services.transmission.settings.peer-port
    ];
  };
}
